(function($) {
	'use strict';
	$(document).ready(function() {

		// Enable / Disable Seerox Block
		$('.srxgb_status_toggle').on('change',function(e) {
			e.preventDefault();

			var $button = $(this);
			var cstatus = $button.attr('data-status');
			var toggleStatus = $button.attr('data-invert-status');

			var data = {
				action : 'srxgb_block_toggle_status_action',
				status : $(this).attr('data-status'),
				block : $(this).attr('data-block')
			};

			var ajaxurl = $('#srxgb-admin-ajax-url').val();

			$.ajax({
				type: "POST",
				url: ajaxurl,
				data: data
			}).done(function(response) {
				//-- blockxx
				var blockid = $button.data('block').replace('/', '');

				// invert command
				$button.attr('data-invert-status', cstatus);
				$button.attr('data-status', toggleStatus);
				$('#srx_status_'+blockid).html(cstatus+"d");
				if(cstatus == 'enable')
				{
					$('#srx_status_'+blockid).css("color","green");
				}else{
					$('#srx_status_'+blockid).css("color","red");
				}
				$button.toggleClass('is-active');
				$button.blur();
			});
		});

	});
})(jQuery);
